Bug 152624 - net-mgmt/arpwatch "ethercodes.dat" is outdated
Summary: net-mgmt/arpwatch "ethercodes.dat" is outdated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-27 22:40 UTC by sec
Modified: 2010-12-01 19:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sec 2010-11-27 22:40:11 UTC
Arpwatch consults an "ethercodes.dat" file to identify Hardware vendors.
The file contained in the arpwatch distribution is from 2006 and thus 
outdated and misses many vendors.

It would be better if the arpwatch port could install a more current file.

Fix: 

The arpwatch distribution contains a script "massagevendor" which converts
the official list from http://standards.ieee.org/regauth/oui/oui.txt
into the correct format.

I'm not sure how this should be handled best. Either the port could simply
fetch and install the file during portinstall time, or an updated file
could simply be "shipped" in files/ as part of the port.
Comment 1 Pav Lucistnik freebsd_committer 2010-11-29 10:19:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

Assign to maintainer for evaluation
Comment 2 dfilter service freebsd_committer 2010-12-01 19:34:55 UTC
tabthorpe    2010-12-01 19:34:48 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/arpwatch    Makefile pkg-plist 
  Added files:
    net-mgmt/arpwatch/files pkg-message.in 
  Log:
  - Install scripts and provide instruction to update ethercodes.dat
  - Bump PORTREVISION
  
  PR:             ports/152624
  
  Revision  Changes    Path
  1.55      +6 -2      ports/net-mgmt/arpwatch/Makefile
  1.1       +10 -0     ports/net-mgmt/arpwatch/files/pkg-message.in (new)
  1.10      +6 -3      ports/net-mgmt/arpwatch/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Thomas Abthorpe freebsd_committer 2010-12-01 19:35:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!